Jump to content
  • 0
g.o.a.t.

ET Legacy 2.71a released

Question

Just downloaded it for my mac air 2013 OS X 10.10.1 yosemite. I'm going to assume it will be buggy at first, and I might have to revert back to the previous version for mac, but I hope my FPS is better with the new version.

 

Et Legacy is available for Windows, OS X, LINUX for those who don't know . Its just a better version of the original wolfenstein with a lot of bug fixes and updates.

  • Like 1

Share this post


Link to post
Share on other sites

14 answers to this question

Recommended Posts

  • 0

Tested it out and its not playable, getting VM CREATE error meh. later all

Share this post


Link to post
Share on other sites
  • 0

2.71rc4 works fine, but the latest 2.71a is just crashing unexpectedly with VM create UI crash logs. Made a post at the forum developers site, hopefully will get a response, will have to stick to 2.71rc4 in the meantime but I can't play on NQ1 with 2.71rc4 and etpro sadly but weird.

 

(Noob Question)

I honestly don't understand how to install through terminal because I just double click the dmg file and place whats installed in the application folder. Maybe my mistake is in doing that instead of following the below instructions which I don't understand how to use in terminal, i'll search on youtube.

 


### Mac OS X

* option A: **command line**

TBD

* option B: **easybuild**

In Terminal, run:

$ ./easybuild.sh
$ cd build && make install

This will put an 'etlegacy' folder into your user folder.

**NOTE**:

In the legacy mod folder, the cgame_mac and ui_mac files are redundant since they are in the
etl_bin.pk3 and will be extracted at runtime, so you can delete those. The client is named etl.app
(and can safely be renamed), while the dedicated server is just a command-line binary named "etlded".

Share this post


Link to post
Share on other sites
  • 0

works for me

 

but something wrong with Etkey 

Share this post


Link to post
Share on other sites
  • 0

works for me

 

but something wrong with Etkey 

Curious whats your operating system. I'm using Macbook Air mid 2013 OS X Yosemite 10.10.1., if possible can you tell me how you went about downloading and was there anything different you might have done through experience that was just something normal to you and might of been mistaken by noob users like myself 

 

 

For the etkey, I don't have a problem with that just placed one in the application support etlegacy etmain folder, and one in the main application folder etmain.

Share this post


Link to post
Share on other sites
  • 0

I'll try myself soon and give you details If I occur something worth sharing :)

No time atm, sorry.

  • Like 1

Share this post


Link to post
Share on other sites
  • 0

It doesnt launch for me. I am using W7.

 

Gengis

Share this post


Link to post
Share on other sites
  • 0

im using windows 7 home premium . I downloaded the Windows installer and install etlegacy without Omnibots . make sure you run it as Admin . im not sure about Mac cause im not a Mac user.

 

Did you download the installer or binaries? 

Share this post


Link to post
Share on other sites
  • 0

i went to the official site and whatnot, but couldnt quite find out why or what makes Legacy special. wait, is ET not compatible on newer OS's?

Share this post


Link to post
Share on other sites
  • 0

If You Host Game in ET and load mod, Game will crash...Not with ETLegacy.

 

Some bugs fixed.  When i try to use mouse in ET settings,  movement is difficult...Not with ETLegacy.

 

And you can remove fog while playing on a map(Seems like cheating).

 

Getting a kill is difficult for Me though, Aim seems to be off.

Share this post


Link to post
Share on other sites
  • 0

Everything seems to be working. No stuttering, or incompatibilities. Checked on windows 7, win xp, win8, win 8.1, ubuntu 12/04,

No idea if it was same for you. I had 2.60b installed then installed et L, everything went smooth, no errors or stuff like that. Only on win xp had to install again cause of some missing files.(not ETL related, system files)

I recommend downloading binaries too.

According to latest ET L(official site), you shouldn't have any problems on your Mac's devices. If you have some you could make a report so they fix it sooner or later :) but according to forums it's still not fully compatible with mac osx.

I guess I can't say anything else since I don't have mac :P

Have fun trying running it :)

Share this post


Link to post
Share on other sites
  • 0

Raw input working now and feels good and it's enabled by default...performance is still worse for me than standard ET, but I didn't fiddle around too long or read much into it. But will do some night :)

  • Like 1

Share this post


Link to post
Share on other sites
  • 0

I'm running it on windows 8.1 and it runs ok. However, I can't connect to the server Jay2. I always get an error. No problem on recruiting. Any input on that one?

Share this post


Link to post
Share on other sites
  • 0

Jaymod isn't supported by etlegacy yet, they were surprised people were even able to connect to a jaymod server.

 

http://dev.etlegacy.com/projects/etlegacy/wiki/Compatible_mods

Scratch that it appears it is supposed to work now, though I was sure there were still problems, you may want to get a console log and post it to their forums.

or here as it may be a small issue unrelated to etlegacy.

http://dev.etlegacy.com/projects/etlegacy/boards

Edited by Zelly

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


×